#undef TRACE_SYSTEM
#define TRACE_SYSTEM pagefault

#if !defined(LTTNG_TRACE_PAGEFAULT_H) || defined(TRACE_HEADER_MULTI_READ)
#define LTTNG_TRACE_PAGEFAULT_H

#include <probes/lttng-tracepoint-event.h>
#include <linux/version.h>

LTTNG_TRACEPOINT_EVENT(page_fault_major,

 TP_PROTO(struct pt_regs *regs, unsigned long address,
 int write_access),
 TP_ARGS(regs, address, write_access),
TP_FIELDS(
	  ctf_integer( unsigned long, ip, regs ? instruction_pointer(regs) : 0UL)
	  ctf_integer( unsigned long, addr, address)
	  ctf_integer( uint8_t, write, !!write_access)
 )
)

#endif /* LTTNG_TRACE_FAULT_H */
/* This part must be outside protection */
#include "../../../probes/define_trace.h"
